source: squid-ssl/trunk/fuentes/compat/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 44.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#  Makefile for the Squid Portability Library
19#
20
21VPATH = @srcdir@
22am__is_gnu_make = { \
23  if test -z '$(MAKELEVEL)'; then \
24    false; \
25  elif test -n '$(MAKE_HOST)'; then \
26    true; \
27  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
28    true; \
29  else \
30    false; \
31  fi; \
32}
33am__make_running_with_option = \
34  case $${target_option-} in \
35      ?) ;; \
36      *) echo "am__make_running_with_option: internal error: invalid" \
37              "target option '$${target_option-}' specified" >&2; \
38         exit 1;; \
39  esac; \
40  has_opt=no; \
41  sane_makeflags=$$MAKEFLAGS; \
42  if $(am__is_gnu_make); then \
43    sane_makeflags=$$MFLAGS; \
44  else \
45    case $$MAKEFLAGS in \
46      *\\[\ \   ]*) \
47        bs=\\; \
48        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
49          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
50    esac; \
51  fi; \
52  skip_next=no; \
53  strip_trailopt () \
54  { \
55    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
56  }; \
57  for flg in $$sane_makeflags; do \
58    test $$skip_next = yes && { skip_next=no; continue; }; \
59    case $$flg in \
60      *=*|--*) continue;; \
61        -*I) strip_trailopt 'I'; skip_next=yes;; \
62      -*I?*) strip_trailopt 'I';; \
63        -*O) strip_trailopt 'O'; skip_next=yes;; \
64      -*O?*) strip_trailopt 'O';; \
65        -*l) strip_trailopt 'l'; skip_next=yes;; \
66      -*l?*) strip_trailopt 'l';; \
67      -[dEDm]) skip_next=yes;; \
68      -[JT]) skip_next=yes;; \
69    esac; \
70    case $$flg in \
71      *$$target_option*) has_opt=yes; break;; \
72    esac; \
73  done; \
74  test $$has_opt = yes
75am__make_dryrun = (target_option=n; $(am__make_running_with_option))
76am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
77pkgdatadir = $(datadir)/@PACKAGE@
78pkgincludedir = $(includedir)/@PACKAGE@
79pkglibdir = $(libdir)/@PACKAGE@
80pkglibexecdir = $(libexecdir)/@PACKAGE@
81am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
82install_sh_DATA = $(install_sh) -c -m 644
83install_sh_PROGRAM = $(install_sh) -c
84install_sh_SCRIPT = $(install_sh) -c
85INSTALL_HEADER = $(INSTALL_DATA)
86transform = $(program_transform_name)
87NORMAL_INSTALL = :
88PRE_INSTALL = :
89POST_INSTALL = :
90NORMAL_UNINSTALL = :
91PRE_UNINSTALL = :
92POST_UNINSTALL = :
93build_triplet = @build@
94host_triplet = @host@
95check_PROGRAMS = testPreCompiler$(EXEEXT)
96TESTS = testPreCompiler$(EXEEXT) testHeaders
97@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
98subdir = compat
99ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
100am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
101        $(top_srcdir)/acinclude/init.m4 \
102        $(top_srcdir)/acinclude/squid-util.m4 \
103        $(top_srcdir)/acinclude/compiler-flags.m4 \
104        $(top_srcdir)/acinclude/os-deps.m4 \
105        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
106        $(top_srcdir)/acinclude/pkg.m4 \
107        $(top_srcdir)/acinclude/lib-checks.m4 \
108        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
109        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
110        $(top_srcdir)/helpers/basic_auth/modules.m4 \
111        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
123        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
124        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/modules.m4 \
126        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
127        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
128        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
132        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
135        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
136        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/modules.m4 \
138        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
139        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
140        $(top_srcdir)/helpers/external_acl/modules.m4 \
141        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
143        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
145        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
146        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
147        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
148        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/session/required.m4 \
150        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
151        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
152        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
153        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
155        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
156        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
157        $(top_srcdir)/configure.ac
158am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
159        $(ACLOCAL_M4)
160DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
161mkinstalldirs = $(install_sh) -d
162CONFIG_HEADER = $(top_builddir)/include/autoconf.h
163CONFIG_CLEAN_FILES =
164CONFIG_CLEAN_VPATH_FILES =
165LTLIBRARIES = $(noinst_LTLIBRARIES)
166libcompat_squid_la_DEPENDENCIES = $(LTLIBOBJS)
167am_libcompat_squid_la_OBJECTS = assert.lo compat.lo debug.lo \
168        eui64_aton.lo getaddrinfo.lo getnameinfo.lo GnuRegex.lo \
169        inet_ntop.lo inet_pton.lo memrchr.lo shm.lo statvfs.lo \
170        strnstr.lo strnrchr.lo xalloc.lo xstrerror.lo xstring.lo \
171        xstrto.lo mswindows.lo
172libcompat_squid_la_OBJECTS = $(am_libcompat_squid_la_OBJECTS)
173AM_V_lt = $(am__v_lt_@AM_V@)
174am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
175am__v_lt_0 = --silent
176am__v_lt_1 =
177am_testPreCompiler_OBJECTS = testPreCompiler.$(OBJEXT)
178testPreCompiler_OBJECTS = $(am_testPreCompiler_OBJECTS)
179am__DEPENDENCIES_1 =
180testPreCompiler_DEPENDENCIES = $(am__DEPENDENCIES_1) \
181        $(am__DEPENDENCIES_1)
182testPreCompiler_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
183        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
184        $(AM_CXXFLAGS) $(CXXFLAGS) $(testPreCompiler_LDFLAGS) \
185        $(LDFLAGS) -o $@
186AM_V_P = $(am__v_P_@AM_V@)
187am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
188am__v_P_0 = false
189am__v_P_1 = :
190AM_V_GEN = $(am__v_GEN_@AM_V@)
191am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
192am__v_GEN_0 = @echo "  GEN     " $@;
193am__v_GEN_1 =
194AM_V_at = $(am__v_at_@AM_V@)
195am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
196am__v_at_0 = @
197am__v_at_1 =
198DEFAULT_INCLUDES =
199depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
200am__depfiles_maybe = depfiles
201am__mv = mv -f
202COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
203        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
204LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
206        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
207        $(AM_CFLAGS) $(CFLAGS)
208AM_V_CC = $(am__v_CC_@AM_V@)
209am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
210am__v_CC_0 = @echo "  CC      " $@;
211am__v_CC_1 =
212CCLD = $(CC)
213LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
214        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
215        $(AM_LDFLAGS) $(LDFLAGS) -o $@
216AM_V_CCLD = $(am__v_CCLD_@AM_V@)
217am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
218am__v_CCLD_0 = @echo "  CCLD    " $@;
219am__v_CCLD_1 =
220CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
221        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
222LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
223        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
224        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
225        $(AM_CXXFLAGS) $(CXXFLAGS)
226AM_V_CXX = $(am__v_CXX_@AM_V@)
227am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
228am__v_CXX_0 = @echo "  CXX     " $@;
229am__v_CXX_1 =
230CXXLD = $(CXX)
231CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
232        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
233        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
234AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
235am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
236am__v_CXXLD_0 = @echo "  CXXLD   " $@;
237am__v_CXXLD_1 =
238SOURCES = $(libcompat_squid_la_SOURCES) $(testPreCompiler_SOURCES)
239DIST_SOURCES = $(libcompat_squid_la_SOURCES) \
240        $(testPreCompiler_SOURCES)
241am__can_run_installinfo = \
242  case $$AM_UPDATE_INFO_DIR in \
243    n|no|NO) false;; \
244    *) (install-info --version) >/dev/null 2>&1;; \
245  esac
246am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
247# Read a list of newline-separated strings from the standard input,
248# and print each of them once, without duplicates.  Input order is
249# *not* preserved.
250am__uniquify_input = $(AWK) '\
251  BEGIN { nonempty = 0; } \
252  { items[$$0] = 1; nonempty = 1; } \
253  END { if (nonempty) { for (i in items) print i; }; } \
254'
255# Make sure the list of sources is unique.  This is necessary because,
256# e.g., the same source file might be shared among _SOURCES variables
257# for different programs/libraries.
258am__define_uniq_tagged_files = \
259  list='$(am__tagged_files)'; \
260  unique=`for i in $$list; do \
261    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
262  done | $(am__uniquify_input)`
263ETAGS = etags
264CTAGS = ctags
265am__tty_colors_dummy = \
266  mgn= red= grn= lgn= blu= brg= std=; \
267  am__color_tests=no
268am__tty_colors = { \
269  $(am__tty_colors_dummy); \
270  if test "X$(AM_COLOR_TESTS)" = Xno; then \
271    am__color_tests=no; \
272  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
273    am__color_tests=yes; \
274  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
275    am__color_tests=yes; \
276  fi; \
277  if test $$am__color_tests = yes; then \
278    red='[0;31m'; \
279    grn='[0;32m'; \
280    lgn='[1;32m'; \
281    blu='[1;34m'; \
282    mgn='[0;35m'; \
283    brg='[1m'; \
284    std='[m'; \
285  fi; \
286}
287am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
288am__vpath_adj = case $$p in \
289    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
290    *) f=$$p;; \
291  esac;
292am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
293am__install_max = 40
294am__nobase_strip_setup = \
295  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
296am__nobase_strip = \
297  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
298am__nobase_list = $(am__nobase_strip_setup); \
299  for p in $$list; do echo "$$p $$p"; done | \
300  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
301  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
302    if (++n[$$2] == $(am__install_max)) \
303      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
304    END { for (dir in files) print dir, files[dir] }'
305am__base_list = \
306  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
307  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
308am__uninstall_files_from_dir = { \
309  test -z "$$files" \
310    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
311    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
312         $(am__cd) "$$dir" && rm -f $$files; }; \
313  }
314am__recheck_rx = ^[     ]*:recheck:[    ]*
315am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
316am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
317# A command that, given a newline-separated list of test names on the
318# standard input, print the name of the tests that are to be re-run
319# upon "make recheck".
320am__list_recheck_tests = $(AWK) '{ \
321  recheck = 1; \
322  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
323    { \
324      if (rc < 0) \
325        { \
326          if ((getline line2 < ($$0 ".log")) < 0) \
327            recheck = 0; \
328          break; \
329        } \
330      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
331        { \
332          recheck = 0; \
333          break; \
334        } \
335      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
336        { \
337          break; \
338        } \
339    }; \
340  if (recheck) \
341    print $$0; \
342  close ($$0 ".trs"); \
343  close ($$0 ".log"); \
344}'
345# A command that, given a newline-separated list of test names on the
346# standard input, create the global log from their .trs and .log files.
347am__create_global_log = $(AWK) ' \
348function fatal(msg) \
349{ \
350  print "fatal: making $@: " msg | "cat >&2"; \
351  exit 1; \
352} \
353function rst_section(header) \
354{ \
355  print header; \
356  len = length(header); \
357  for (i = 1; i <= len; i = i + 1) \
358    printf "="; \
359  printf "\n\n"; \
360} \
361{ \
362  copy_in_global_log = 1; \
363  global_test_result = "RUN"; \
364  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
365    { \
366      if (rc < 0) \
367         fatal("failed to read from " $$0 ".trs"); \
368      if (line ~ /$(am__global_test_result_rx)/) \
369        { \
370          sub("$(am__global_test_result_rx)", "", line); \
371          sub("[        ]*$$", "", line); \
372          global_test_result = line; \
373        } \
374      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
375        copy_in_global_log = 0; \
376    }; \
377  if (copy_in_global_log) \
378    { \
379      rst_section(global_test_result ": " $$0); \
380      while ((rc = (getline line < ($$0 ".log"))) != 0) \
381      { \
382        if (rc < 0) \
383          fatal("failed to read from " $$0 ".log"); \
384        print line; \
385      }; \
386      printf "\n"; \
387    }; \
388  close ($$0 ".trs"); \
389  close ($$0 ".log"); \
390}'
391# Restructured Text title.
392am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
393# Solaris 10 'make', and several other traditional 'make' implementations,
394# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
395# by disabling -e (using the XSI extension "set +e") if it's set.
396am__sh_e_setup = case $$- in *e*) set +e;; esac
397# Default flags passed to test drivers.
398am__common_driver_flags = \
399  --color-tests "$$am__color_tests" \
400  --enable-hard-errors "$$am__enable_hard_errors" \
401  --expect-failure "$$am__expect_failure"
402# To be inserted before the command running the test.  Creates the
403# directory for the log if needed.  Stores in $dir the directory
404# containing $f, in $tst the test, in $log the log.  Executes the
405# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
406# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
407# will run the test scripts (or their associated LOG_COMPILER, if
408# thy have one).
409am__check_pre = \
410$(am__sh_e_setup);                                      \
411$(am__vpath_adj_setup) $(am__vpath_adj)                 \
412$(am__tty_colors);                                      \
413srcdir=$(srcdir); export srcdir;                        \
414case "$@" in                                            \
415  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
416    *) am__odir=.;;                                     \
417esac;                                                   \
418test "x$$am__odir" = x"." || test -d "$$am__odir"       \
419  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
420if test -f "./$$f"; then dir=./;                        \
421elif test -f "$$f"; then dir=;                          \
422else dir="$(srcdir)/"; fi;                              \
423tst=$$dir$$f; log='$@';                                 \
424if test -n '$(DISABLE_HARD_ERRORS)'; then               \
425  am__enable_hard_errors=no;                            \
426else                                                    \
427  am__enable_hard_errors=yes;                           \
428fi;                                                     \
429case " $(XFAIL_TESTS) " in                              \
430  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
431    am__expect_failure=yes;;                            \
432  *)                                                    \
433    am__expect_failure=no;;                             \
434esac;                                                   \
435$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
436# A shell command to get the names of the tests scripts with any registered
437# extension removed (i.e., equivalently, the names of the test logs, with
438# the '.log' extension removed).  The result is saved in the shell variable
439# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
440# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
441# since that might cause problem with VPATH rewrites for suffix-less tests.
442# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
443am__set_TESTS_bases = \
444  bases='$(TEST_LOGS)'; \
445  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
446  bases=`echo $$bases`
447RECHECK_LOGS = $(TEST_LOGS)
448AM_RECURSIVE_TARGETS = check recheck
449TEST_SUITE_LOG = test-suite.log
450TEST_EXTENSIONS = @EXEEXT@ .test
451LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
453am__set_b = \
454  case '$@' in \
455    */*) \
456      case '$*' in \
457        */*) b='$*';; \
458          *) b=`echo '$@' | sed 's/\.log$$//'`; \
459       esac;; \
460    *) \
461      b='$*';; \
462  esac
463am__test_logs1 = $(TESTS:=.log)
464am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
465TEST_LOGS = $(am__test_logs2:.test.log=.log)
466TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
467TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
468        $(TEST_LOG_FLAGS)
469am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
470        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
471        drand48.c initgroups.c psignal.c strerror.c strtoll.c \
472        tempnam.c
473DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
474ACLOCAL = @ACLOCAL@
475ADAPTATION_LIBS = @ADAPTATION_LIBS@
476ALLOCA = @ALLOCA@
477AMTAR = @AMTAR@
478AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
479AR = @AR@
480ARGZ_H = @ARGZ_H@
481AR_R = @AR_R@
482AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
483AUTH_MODULES = @AUTH_MODULES@
484AUTOCONF = @AUTOCONF@
485AUTOHEADER = @AUTOHEADER@
486AUTOMAKE = @AUTOMAKE@
487AWK = @AWK@
488BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
489BUILDCXX = @BUILDCXX@
490BUILDCXXFLAGS = @BUILDCXXFLAGS@
491BZR = @BZR@
492CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
493CC = @CC@
494CCDEPMODE = @CCDEPMODE@
495CFLAGS = @CFLAGS@
496CGIEXT = @CGIEXT@
497CHMOD = @CHMOD@
498CPP = @CPP@
499CPPFLAGS = @CPPFLAGS@
500CPPUNITCONFIG = @CPPUNITCONFIG@
501CRYPTLIB = @CRYPTLIB@
502CXX = @CXX@
503CXXCPP = @CXXCPP@
504CXXDEPMODE = @CXXDEPMODE@
505CXXFLAGS = @CXXFLAGS@
506CYGPATH_W = @CYGPATH_W@
507DEFAULT_HOSTS = @DEFAULT_HOSTS@
508DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
509DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
510DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
511DEFS = @DEFS@
512DEPDIR = @DEPDIR@
513DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
514DISK_LIBS = @DISK_LIBS@
515DISK_LINKOBJS = @DISK_LINKOBJS@
516DISK_MODULES = @DISK_MODULES@
517DISK_OS_LIBS = @DISK_OS_LIBS@
518DISK_PROGRAMS = @DISK_PROGRAMS@
519DLLTOOL = @DLLTOOL@
520DSYMUTIL = @DSYMUTIL@
521DUMPBIN = @DUMPBIN@
522ECAP_LIBS = @ECAP_LIBS@
523ECHO_C = @ECHO_C@
524ECHO_N = @ECHO_N@
525ECHO_T = @ECHO_T@
526EGREP = @EGREP@
527EPOLL_LIBS = @EPOLL_LIBS@
528EUILIB = @EUILIB@
529EXEEXT = @EXEEXT@
530EXPATLIB = @EXPATLIB@
531EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
532EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
533EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
534FALSE = @FALSE@
535FGREP = @FGREP@
536GREP = @GREP@
537HAVE_CXX11 = @HAVE_CXX11@
538ICAP_LIBS = @ICAP_LIBS@
539INCLTDL = @INCLTDL@
540INSTALL = @INSTALL@
541INSTALL_DATA = @INSTALL_DATA@
542INSTALL_PROGRAM = @INSTALL_PROGRAM@
543INSTALL_SCRIPT = @INSTALL_SCRIPT@
544INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
545KRB5INCS = @KRB5INCS@
546KRB5LIBS = @KRB5LIBS@
547LBERLIB = @LBERLIB@
548LD = @LD@
549LDAPLIB = @LDAPLIB@
550LDFLAGS = @LDFLAGS@
551LIBADD_DL = @LIBADD_DL@
552LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
553LIBADD_DLOPEN = @LIBADD_DLOPEN@
554LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
555LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
556LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
557LIBLTDL = @LIBLTDL@
558LIBOBJS = @LIBOBJS@
559LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
560LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
561LIBS = @LIBS@
562LIBSASL = @LIBSASL@
563LIBTOOL = @LIBTOOL@
564LIB_DB = @LIB_DB@
565LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
566LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
567LINUXDOC = @LINUXDOC@
568LIPO = @LIPO@
569LN = @LN@
570LN_S = @LN_S@
571LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
572LTDLDEPS = @LTDLDEPS@
573LTDLINCL = @LTDLINCL@
574LTDLOPEN = @LTDLOPEN@
575LTLIBOBJS = @LTLIBOBJS@
576LT_CONFIG_H = @LT_CONFIG_H@
577LT_DLLOADERS = @LT_DLLOADERS@
578LT_DLPREOPEN = @LT_DLPREOPEN@
579MAINT = @MAINT@
580MAKEINFO = @MAKEINFO@
581MANIFEST_TOOL = @MANIFEST_TOOL@
582MINGW_LIBS = @MINGW_LIBS@
583MKDIR = @MKDIR@
584MKDIR_P = @MKDIR_P@
585MV = @MV@
586NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
587NETTLELIB = @NETTLELIB@
588NM = @NM@
589NMEDIT = @NMEDIT@
590NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
591OBJDUMP = @OBJDUMP@
592OBJEXT = @OBJEXT@
593OTOOL = @OTOOL@
594OTOOL64 = @OTOOL64@
595PACKAGE = @PACKAGE@
596PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
597PACKAGE_NAME = @PACKAGE_NAME@
598PACKAGE_STRING = @PACKAGE_STRING@
599PACKAGE_TARNAME = @PACKAGE_TARNAME@
600PACKAGE_URL = @PACKAGE_URL@
601PACKAGE_VERSION = @PACKAGE_VERSION@
602PATH_SEPARATOR = @PATH_SEPARATOR@
603PERL = @PERL@
604PKG_CONFIG = @PKG_CONFIG@
605PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
606PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
607PO2HTML = @PO2HTML@
608PO2TEXT = @PO2TEXT@
609POD2MAN = @POD2MAN@
610RANLIB = @RANLIB@
611REGEXLIB = @REGEXLIB@
612REPL_LIBS = @REPL_LIBS@
613REPL_OBJS = @REPL_OBJS@
614REPL_POLICIES = @REPL_POLICIES@
615RM = @RM@
616SED = @SED@
617SET_MAKE = @SET_MAKE@
618SH = @SH@
619SHELL = @SHELL@
620SMBCLIENT = @SMBCLIENT@
621SNMPLIB = @SNMPLIB@
622SQUID_CFLAGS = @SQUID_CFLAGS@
623SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
624SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
625SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
626SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
627SSLLIB = @SSLLIB@
628STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
629STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
630STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
631STORE_TESTS = @STORE_TESTS@
632STRIP = @STRIP@
633TR = @TR@
634TRUE = @TRUE@
635URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
636VERSION = @VERSION@
637WBINFO = @WBINFO@
638WIN32_PSAPI = @WIN32_PSAPI@
639XMLLIB = @XMLLIB@
640XTRA_LIBS = @XTRA_LIBS@
641XTRA_OBJS = @XTRA_OBJS@
642abs_builddir = @abs_builddir@
643abs_srcdir = @abs_srcdir@
644abs_top_builddir = @abs_top_builddir@
645abs_top_srcdir = @abs_top_srcdir@
646ac_ct_AR = @ac_ct_AR@
647ac_ct_CC = @ac_ct_CC@
648ac_ct_CXX = @ac_ct_CXX@
649ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
650am__include = @am__include@
651am__leading_dot = @am__leading_dot@
652am__quote = @am__quote@
653am__tar = @am__tar@
654am__untar = @am__untar@
655bindir = @bindir@
656build = @build@
657build_alias = @build_alias@
658build_cpu = @build_cpu@
659build_os = @build_os@
660build_vendor = @build_vendor@
661builddir = @builddir@
662datadir = @datadir@
663datarootdir = @datarootdir@
664docdir = @docdir@
665dvidir = @dvidir@
666exec_prefix = @exec_prefix@
667host = @host@
668host_alias = @host_alias@
669host_cpu = @host_cpu@
670host_os = @host_os@
671host_vendor = @host_vendor@
672htmldir = @htmldir@
673includedir = @includedir@
674infodir = @infodir@
675install_sh = @install_sh@
676krb5_config = @krb5_config@
677libdir = @libdir@
678libexecdir = @libexecdir@
679localedir = @localedir@
680localstatedir = @localstatedir@
681ltdl_LIBOBJS = @ltdl_LIBOBJS@
682ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
683mandir = @mandir@
684mkdir_p = @mkdir_p@
685oldincludedir = @oldincludedir@
686pdfdir = @pdfdir@
687prefix = @prefix@
688program_transform_name = @program_transform_name@
689psdir = @psdir@
690runstatedir = @runstatedir@
691sbindir = @sbindir@
692sharedstatedir = @sharedstatedir@
693srcdir = @srcdir@
694subdirs = @subdirs@
695sys_symbol_underscore = @sys_symbol_underscore@
696sysconfdir = @sysconfdir@
697target_alias = @target_alias@
698top_build_prefix = @top_build_prefix@
699top_builddir = @top_builddir@
700top_srcdir = @top_srcdir@
701AM_CFLAGS = $(SQUID_CFLAGS)
702AM_CXXFLAGS = $(SQUID_CXXFLAGS)
703CLEANFILES = testHeaders
704AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
705        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
706        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
707        $(am__append_1)
708@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
709@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
710COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
711subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
712
713# Ideally this would be 100% inline functions and macro wrappers.
714
715# Port Specific Configurations
716noinst_LTLIBRARIES = libcompat-squid.la
717libcompat_squid_la_SOURCES = \
718        assert.cc \
719        assert.h \
720        cmsg.h \
721        compat.cc \
722        compat.h \
723        compat_shared.h \
724        cpu.h \
725        cppunit.h \
726        debug.cc \
727        debug.h \
728        drand48.h \
729        eui64_aton.h \
730        eui64_aton.c \
731        fdsetsize.h \
732        getaddrinfo.cc \
733        getaddrinfo.h \
734        getnameinfo.cc \
735        getnameinfo.h \
736        GnuRegex.c \
737        GnuRegex.h \
738        inet_ntop.cc \
739        inet_ntop.h \
740        inet_pton.cc \
741        inet_pton.h \
742        initgroups.h \
743        memrchr.cc \
744        memrchr.h \
745        osdetect.h \
746        psignal.h \
747        shm.cc \
748        shm.h \
749        statvfs.h \
750        statvfs.cc \
751        stdio.h \
752        stdvarargs.h \
753        strnstr.cc \
754        strtoll.h \
755        strnrchr.h \
756        strnrchr.c \
757        tempnam.h \
758        types.h \
759        valgrind.h \
760        xalloc.cc \
761        xalloc.h \
762        xis.h \
763        xstrerror.cc \
764        xstrerror.h \
765        xstring.cc \
766        xstring.h \
767        xstrto.cc \
768        xstrto.h \
769        \
770        os/aix.h \
771        os/android.h \
772        os/dragonfly.h \
773        os/freebsd.h \
774        os/hpux.h \
775        os/linux.h \
776        os/macosx.h \
777        os/mswindows.h \
778        mswindows.cc \
779        os/netbsd.h \
780        os/next.h \
781        os/openbsd.h \
782        os/opensolaris_10_netdb.h \
783        os/os2.h \
784        os/qnx.h \
785        os/sgi.h \
786        os/solaris.h \
787        os/sunos.h
788
789libcompat_squid_la_LIBADD = $(LTLIBOBJS)
790testPreCompiler_SOURCES = \
791        testPreCompiler.h \
792        testPreCompiler.cc
793
794testPreCompiler_LDADD = $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS)
795testPreCompiler_LDFLAGS =
796all: all-am
797
798.SUFFIXES:
799.SUFFIXES: .c .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
800$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
801        @for dep in $?; do \
802          case '$(am__configure_deps)' in \
803            *$$dep*) \
804              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
805                && { if test -f $@; then exit 0; else break; fi; }; \
806              exit 1;; \
807          esac; \
808        done; \
809        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign compat/Makefile'; \
810        $(am__cd) $(top_srcdir) && \
811          $(AUTOMAKE) --foreign compat/Makefile
812Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
813        @case '$?' in \
814          *config.status*) \
815            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
816          *) \
817            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
818            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
819        esac;
820$(top_srcdir)/src/Common.am $(am__empty):
821
822$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
823        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
824
825$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
826        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
827$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
828        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
829$(am__aclocal_m4_deps):
830
831clean-noinstLTLIBRARIES:
832        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
833        @list='$(noinst_LTLIBRARIES)'; \
834        locs=`for p in $$list; do echo $$p; done | \
835              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
836              sort -u`; \
837        test -z "$$locs" || { \
838          echo rm -f $${locs}; \
839          rm -f $${locs}; \
840        }
841
842libcompat-squid.la: $(libcompat_squid_la_OBJECTS) $(libcompat_squid_la_DEPENDENCIES) $(EXTRA_libcompat_squid_la_DEPENDENCIES)
843        $(AM_V_CXXLD)$(CXXLINK)  $(libcompat_squid_la_OBJECTS) $(libcompat_squid_la_LIBADD) $(LIBS)
844
845clean-checkPROGRAMS:
846        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
847        echo " rm -f" $$list; \
848        rm -f $$list || exit $$?; \
849        test -n "$(EXEEXT)" || exit 0; \
850        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
851        echo " rm -f" $$list; \
852        rm -f $$list
853
854testPreCompiler$(EXEEXT): $(testPreCompiler_OBJECTS) $(testPreCompiler_DEPENDENCIES) $(EXTRA_testPreCompiler_DEPENDENCIES)
855        @rm -f testPreCompiler$(EXEEXT)
856        $(AM_V_CXXLD)$(testPreCompiler_LINK) $(testPreCompiler_OBJECTS) $(testPreCompiler_LDADD) $(LIBS)
857
858mostlyclean-compile:
859        -rm -f *.$(OBJEXT)
860
861distclean-compile:
862        -rm -f *.tab.c
863
864@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/drand48.Plo@am__quote@
865@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/initgroups.Plo@am__quote@
866@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/psignal.Plo@am__quote@
867@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strerror.Plo@am__quote@
868@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/strtoll.Plo@am__quote@
869@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/tempnam.Plo@am__quote@
870@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/GnuRegex.Plo@am__quote@
871@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/assert.Plo@am__quote@
872@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compat.Plo@am__quote@
873@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/debug.Plo@am__quote@
874@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/eui64_aton.Plo@am__quote@
875@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getaddrinfo.Plo@am__quote@
876@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getnameinfo.Plo@am__quote@
877@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inet_ntop.Plo@am__quote@
878@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inet_pton.Plo@am__quote@
879@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memrchr.Plo@am__quote@
880@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mswindows.Plo@am__quote@
881@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/shm.Plo@am__quote@
882@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/statvfs.Plo@am__quote@
883@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strnrchr.Plo@am__quote@
884@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strnstr.Plo@am__quote@
885@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testPreCompiler.Po@am__quote@
886@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xalloc.Plo@am__quote@
887@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xstrerror.Plo@am__quote@
888@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xstring.Plo@am__quote@
889@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xstrto.Plo@am__quote@
890
891.c.o:
892@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
893@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
894@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
895@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
896@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
897@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
898
899.c.obj:
900@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
901@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
902@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
903@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
904@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
905@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
906
907.c.lo:
908@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
909@am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
910@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
911@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
912@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
913@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
914
915.cc.o:
916@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
917@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
918@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
919@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
920@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
921@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
922
923.cc.obj:
924@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
925@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
926@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
927@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
928@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
929@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
930
931.cc.lo:
932@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
933@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
934@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
935@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
936@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
937@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
938
939mostlyclean-libtool:
940        -rm -f *.lo
941
942clean-libtool:
943        -rm -rf .libs _libs
944
945ID: $(am__tagged_files)
946        $(am__define_uniq_tagged_files); mkid -fID $$unique
947tags: tags-am
948TAGS: tags
949
950tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
951        set x; \
952        here=`pwd`; \
953        $(am__define_uniq_tagged_files); \
954        shift; \
955        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
956          test -n "$$unique" || unique=$$empty_fix; \
957          if test $$# -gt 0; then \
958            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
959              "$$@" $$unique; \
960          else \
961            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
962              $$unique; \
963          fi; \
964        fi
965ctags: ctags-am
966
967CTAGS: ctags
968ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
969        $(am__define_uniq_tagged_files); \
970        test -z "$(CTAGS_ARGS)$$unique" \
971          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
972             $$unique
973
974GTAGS:
975        here=`$(am__cd) $(top_builddir) && pwd` \
976          && $(am__cd) $(top_srcdir) \
977          && gtags -i $(GTAGS_ARGS) "$$here"
978cscopelist: cscopelist-am
979
980cscopelist-am: $(am__tagged_files)
981        list='$(am__tagged_files)'; \
982        case "$(srcdir)" in \
983          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
984          *) sdir=$(subdir)/$(srcdir) ;; \
985        esac; \
986        for i in $$list; do \
987          if test -f "$$i"; then \
988            echo "$(subdir)/$$i"; \
989          else \
990            echo "$$sdir/$$i"; \
991          fi; \
992        done >> $(top_builddir)/cscope.files
993
994distclean-tags:
995        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
996
997# Recover from deleted '.trs' file; this should ensure that
998# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
999# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1000# to avoid problems with "make -n".
1001.log.trs:
1002        rm -f $< $@
1003        $(MAKE) $(AM_MAKEFLAGS) $<
1004
1005# Leading 'am--fnord' is there to ensure the list of targets does not
1006# expand to empty, as could happen e.g. with make check TESTS=''.
1007am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1008am--force-recheck:
1009        @:
1010
1011$(TEST_SUITE_LOG): $(TEST_LOGS)
1012        @$(am__set_TESTS_bases); \
1013        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1014        redo_bases=`for i in $$bases; do \
1015                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1016                    done`; \
1017        if test -n "$$redo_bases"; then \
1018          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1019          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1020          if $(am__make_dryrun); then :; else \
1021            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1022          fi; \
1023        fi; \
1024        if test -n "$$am__remaking_logs"; then \
1025          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1026               "recursion detected" >&2; \
1027        elif test -n "$$redo_logs"; then \
1028          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1029        fi; \
1030        if $(am__make_dryrun); then :; else \
1031          st=0;  \
1032          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1033          for i in $$redo_bases; do \
1034            test -f $$i.trs && test -r $$i.trs \
1035              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1036            test -f $$i.log && test -r $$i.log \
1037              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1038          done; \
1039          test $$st -eq 0 || exit 1; \
1040        fi
1041        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1042        ws='[   ]'; \
1043        results=`for b in $$bases; do echo $$b.trs; done`; \
1044        test -n "$$results" || results=/dev/null; \
1045        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1046        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1047        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1048        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1049        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1050        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1051        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1052        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1053          success=true; \
1054        else \
1055          success=false; \
1056        fi; \
1057        br='==================='; br=$$br$$br$$br$$br; \
1058        result_count () \
1059        { \
1060            if test x"$$1" = x"--maybe-color"; then \
1061              maybe_colorize=yes; \
1062            elif test x"$$1" = x"--no-color"; then \
1063              maybe_colorize=no; \
1064            else \
1065              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1066            fi; \
1067            shift; \
1068            desc=$$1 count=$$2; \
1069            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1070              color_start=$$3 color_end=$$std; \
1071            else \
1072              color_start= color_end=; \
1073            fi; \
1074            echo "$${color_start}# $$desc $$count$${color_end}"; \
1075        }; \
1076        create_testsuite_report () \
1077        { \
1078          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1079          result_count $$1 "PASS: " $$pass  "$$grn"; \
1080          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1081          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1082          result_count $$1 "FAIL: " $$fail  "$$red"; \
1083          result_count $$1 "XPASS:" $$xpass "$$red"; \
1084          result_count $$1 "ERROR:" $$error "$$mgn"; \
1085        }; \
1086        {                                                               \
1087          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1088            $(am__rst_title);                                           \
1089          create_testsuite_report --no-color;                           \
1090          echo;                                                         \
1091          echo ".. contents:: :depth: 2";                               \
1092          echo;                                                         \
1093          for b in $$bases; do echo $$b; done                           \
1094            | $(am__create_global_log);                                 \
1095        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1096        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1097        if $$success; then                                              \
1098          col="$$grn";                                                  \
1099         else                                                           \
1100          col="$$red";                                                  \
1101          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1102        fi;                                                             \
1103        echo "$${col}$$br$${std}";                                      \
1104        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1105        echo "$${col}$$br$${std}";                                      \
1106        create_testsuite_report --maybe-color;                          \
1107        echo "$$col$$br$$std";                                          \
1108        if $$success; then :; else                                      \
1109          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1110          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1111            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1112          fi;                                                           \
1113          echo "$$col$$br$$std";                                        \
1114        fi;                                                             \
1115        $$success || exit 1
1116
1117check-TESTS:
1118        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1119        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1120        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1121        @set +e; $(am__set_TESTS_bases); \
1122        log_list=`for i in $$bases; do echo $$i.log; done`; \
1123        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1124        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1125        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1126        exit $$?;
1127recheck: all $(check_PROGRAMS)
1128        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1129        @set +e; $(am__set_TESTS_bases); \
1130        bases=`for i in $$bases; do echo $$i; done \
1131                 | $(am__list_recheck_tests)` || exit 1; \
1132        log_list=`for i in $$bases; do echo $$i.log; done`; \
1133        log_list=`echo $$log_list`; \
1134        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1135                am__force_recheck=am--force-recheck \
1136                TEST_LOGS="$$log_list"; \
1137        exit $$?
1138testPreCompiler.log: testPreCompiler$(EXEEXT)
1139        @p='testPreCompiler$(EXEEXT)'; \
1140        b='testPreCompiler'; \
1141        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1142        --log-file $$b.log --trs-file $$b.trs \
1143        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1144        "$$tst" $(AM_TESTS_FD_REDIRECT)
1145testHeaders.log: testHeaders
1146        @p='testHeaders'; \
1147        b='testHeaders'; \
1148        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1149        --log-file $$b.log --trs-file $$b.trs \
1150        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1151        "$$tst" $(AM_TESTS_FD_REDIRECT)
1152.test.log:
1153        @p='$<'; \
1154        $(am__set_b); \
1155        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1156        --log-file $$b.log --trs-file $$b.trs \
1157        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1158        "$$tst" $(AM_TESTS_FD_REDIRECT)
1159@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1160@am__EXEEXT_TRUE@       @p='$<'; \
1161@am__EXEEXT_TRUE@       $(am__set_b); \
1162@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1163@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1164@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1165@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1166
1167distdir: $(DISTFILES)
1168        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1169        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1170        list='$(DISTFILES)'; \
1171          dist_files=`for file in $$list; do echo $$file; done | \
1172          sed -e "s|^$$srcdirstrip/||;t" \
1173              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1174        case $$dist_files in \
1175          */*) $(MKDIR_P) `echo "$$dist_files" | \
1176                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1177                           sort -u` ;; \
1178        esac; \
1179        for file in $$dist_files; do \
1180          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1181          if test -d $$d/$$file; then \
1182            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1183            if test -d "$(distdir)/$$file"; then \
1184              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1185            fi; \
1186            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1187              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1188              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1189            fi; \
1190            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1191          else \
1192            test -f "$(distdir)/$$file" \
1193            || cp -p $$d/$$file "$(distdir)/$$file" \
1194            || exit 1; \
1195          fi; \
1196        done
1197check-am: all-am
1198        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1199        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1200check: check-am
1201all-am: Makefile $(LTLIBRARIES)
1202installdirs:
1203install: install-am
1204install-exec: install-exec-am
1205install-data: install-data-am
1206uninstall: uninstall-am
1207
1208install-am: all-am
1209        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1210
1211installcheck: installcheck-am
1212install-strip:
1213        if test -z '$(STRIP)'; then \
1214          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1215            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1216              install; \
1217        else \
1218          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1219            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1220            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1221        fi
1222mostlyclean-generic:
1223        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1224        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1225        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1226
1227clean-generic:
1228        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1229
1230distclean-generic:
1231        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1232        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1233
1234maintainer-clean-generic:
1235        @echo "This command is intended for maintainers to use"
1236        @echo "it deletes files that may require special tools to rebuild."
1237clean: clean-am
1238
1239clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1240        clean-noinstLTLIBRARIES mostlyclean-am
1241
1242distclean: distclean-am
1243        -rm -rf $(DEPDIR) ./$(DEPDIR)
1244        -rm -f Makefile
1245distclean-am: clean-am distclean-compile distclean-generic \
1246        distclean-tags
1247
1248dvi: dvi-am
1249
1250dvi-am:
1251
1252html: html-am
1253
1254html-am:
1255
1256info: info-am
1257
1258info-am:
1259
1260install-data-am:
1261
1262install-dvi: install-dvi-am
1263
1264install-dvi-am:
1265
1266install-exec-am:
1267
1268install-html: install-html-am
1269
1270install-html-am:
1271
1272install-info: install-info-am
1273
1274install-info-am:
1275
1276install-man:
1277
1278install-pdf: install-pdf-am
1279
1280install-pdf-am:
1281
1282install-ps: install-ps-am
1283
1284install-ps-am:
1285
1286installcheck-am:
1287
1288maintainer-clean: maintainer-clean-am
1289        -rm -rf $(DEPDIR) ./$(DEPDIR)
1290        -rm -f Makefile
1291maintainer-clean-am: distclean-am maintainer-clean-generic
1292
1293mostlyclean: mostlyclean-am
1294
1295mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1296        mostlyclean-libtool
1297
1298pdf: pdf-am
1299
1300pdf-am:
1301
1302ps: ps-am
1303
1304ps-am:
1305
1306uninstall-am:
1307
1308.MAKE: check-am install-am install-strip
1309
1310.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1311        clean-checkPROGRAMS clean-generic clean-libtool \
1312        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1313        distclean-compile distclean-generic distclean-libtool \
1314        distclean-tags distdir dvi dvi-am html html-am info info-am \
1315        install install-am install-data install-data-am install-dvi \
1316        install-dvi-am install-exec install-exec-am install-html \
1317        install-html-am install-info install-info-am install-man \
1318        install-pdf install-pdf-am install-ps install-ps-am \
1319        install-strip installcheck installcheck-am installdirs \
1320        maintainer-clean maintainer-clean-generic mostlyclean \
1321        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1322        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1323        uninstall-am
1324
1325.PRECIOUS: Makefile
1326
1327
1328$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1329
1330testHeaders: $(srcdir)/*.h $(srcdir)/os/*.h
1331        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1332
1333.PHONY: testHeaders
1334
1335# Tell versions [3.59,3.63) of GNU make to not export all variables.
1336# Otherwise a system limit (for SysV at least) may be exceeded.
1337.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.